Summary:        MRG management web console
Name:           cumin
Version:        0.1.5098
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://redhat.com/mrg
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4
Requires:       python >= 2.4
Requires:	postgresql >= 8.1.9
Requires:	postgresql-server >= 8.1.9
Requires:       pycairo >= 1.2.0
Requires:       python-wallaby
Requires:	python-suds >= 0.4.1
%if 0%{?rhel} == 5
Requires:	qpid-qmf >= 0.10-11	 
Requires:	python-psycopg2 >= 2.0.14
Requires:	dejavu-lgc-fonts
%endif
%if 0%{?rhel} == 6
Requires:	qpid-qmf >= 0.12-6	 
Requires:	python-psycopg2 >= 2.0.13
Requires:	liberation-sans-fonts
%endif
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description
Cumin is the MRG management web console.  It provides a unified
management interface for the Messaging, Realtime and Grid components
of MRG.

This package contains (part of) a Technology Preview for CuminAviary, integration with the condor-aviary component.
Please visit http://www.redhat.com/support/policy/soc/production/preview_scope/ for details on the Red Hat support policies.

%global cumin_home %{_datadir}/cumin
%global cumin_doc %{_defaultdocdir}/cumin-%{version}
%global cumin_etc %{_sysconfdir}/cumin
%global cumin_log %{_localstatedir}/log/cumin

%prep
%setup -q

%install
rm -rf %{buildroot}

(cd cumin && make install CUMIN_HOME=%{buildroot}%{cumin_home} CUMIN_VERSION=%{name}-%{version}-%{release})

# Relocate stuff to linux system locations

install -d %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/* %{buildroot}%{_bindir}
rm -rf %{buildroot}%{cumin_home}/bin

install -d %{buildroot}%{cumin_doc}
install -pm 644 %{buildroot}%{cumin_home}/doc/* %{buildroot}%{cumin_doc}
rm -rf %{buildroot}%{cumin_home}/doc

install -d %{buildroot}%{cumin_etc}
install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -pm 644 %{buildroot}%{cumin_home}/etc/cumin.* %{buildroot}%{cumin_etc}
install -pm 755 %{buildroot}%{cumin_home}/etc/sysvinit-cumin %{buildroot}%{_sysconfdir}/rc.d/init.d/cumin
rm -rf %{buildroot}%{cumin_home}/etc

install -d %{buildroot}%{cumin_log}
rm -rf %{buildroot}%{cumin_home}/log

%pre
# Create a cumin user

getent group cumin > /dev/null || groupadd -r cumin

getent passwd cumin > /dev/null || \
   useradd -r -g cumin -d %{cumin_home} -s /sbin/nologin \
      -c "Owner of cumin daemons" cumin

%post
if [ $1 -gt 1 ]; then
    # Upgrade config file if necessary

    if fgrep "[main]" %{cumin_etc}/cumin.conf > /dev/null; then
       mv %{cumin_etc}/cumin.conf %{cumin_etc}/cumin.conf.rpmsave
       mv %{cumin_etc}/cumin.conf.rpmnew %{cumin_etc}/cumin.conf
    fi
fi

if [ ! -h %{cumin_home}/log ]; then
    # Link to the system log location

    ln -s %{cumin_log} %{cumin_home}/log  
fi

/sbin/chkconfig --add cumin

%preun
if [ $1 = 0 ]; then
    /sbin/service cumin stop >/dev/null 2>&1
    /sbin/chkconfig --del cumin
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/cumin
%{_bindir}/cumin-admin
%{_bindir}/cumin-admin-test
%{_bindir}/cumin-bench
%{_bindir}/cumin-data
%{_bindir}/cumin-database
%{_bindir}/cumin-web
%{_bindir}/cumin-test
%{_bindir}/cumin-smoke-test
%{_bindir}/cumin-command-test
%{_bindir}/cumin-data-test
%{_bindir}/cumin-web-test
%{cumin_home}
%{cumin_doc}
%attr(-,cumin,cumin) %{cumin_log}
%attr(600,cumin,cumin) %config(noreplace) %{cumin_etc}/cumin.conf
%attr(600,cumin,cumin) %config(noreplace) %{cumin_etc}/cumin.crt
%attr(600,cumin,cumin) %config(noreplace) %{cumin_etc}/cumin.key
%{_sysconfdir}/rc.d/init.d/cumin

%changelog
* Thu Nov 10 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5098-2
- Removed dependency on python-qmf
- Added dependency on qpid-qmf >= 0.10-11 for RHEL 5
- Added dependency on qpid-qmf >= 0.12-6 for RHEL 6
- Added dependency on python-suds >= 0.4.1

* Tue Oct 25 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5098-1
- Update to revision 5098
- Sources drawn from branch 'lucidity'
- Minor changes to files that are part of the CuminAviary Tech
-  Preview feature.  This is primarily to include license 
-  statements for outside contributions.
- BZ733365
- BZ748497

* Wed Oct 12 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5068-1
- Update to revision 5068
- Sources drawn from branch 'lucidity'
- Change el6 dependency on dejavu-lgc-sans-fonts to 
- liberation-sans-fonts, avoids optional channel
- various tweaks to Aviary ssl code from testing
- BZ744793

* Fri Oct 7 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5054-1
- Update to revision 5054
- Sources drawn from branch 'lucidity'
- Add rpm dependency on python-wallaby
- Fix import of wallaby modules in wallabyoperations.py
- Allow Cumin to disable Aviary and continue if Aviary imports fail
- (this is particularly related to python-suds, not yet a dependency)
- BZ744023

* Wed Oct 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5047-1
- Update to revision 5047
- Sources drawn from branch 'lucidity'
- Modify description to include Tecnology Preview notice for CuminAviary
- Include AVIARY-README in /usr/share/doc/cumin-*
- BZ733447 (Tech Preview, modifications)
- BZ733677 (Tech Preview, modifications)
- BZ725451

* Mon Oct 3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5037-1
- Update to revision 5037
- Sources drawn from branch 'lucidity'
- update aviary-common.xsd (no BZ)
- BZ742786

* Fri Sep 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5033-1
- Update to revision 5033
- Sources drawn from branch 'lucidity'
- BZ741783
- BZ741729
- BZ739658 (partial)
- BZ739217
- BZ733677 (Tech Preview)
- BZ733447 (Tech Preview, partial))
- BZ733367
- BZ733365
- BZ733364
- BZ731423
- BZ731065
- BZ725473
- BZ725038
- BZ723848
- BZ639383

* Wed Aug 10 2011 Chad Roberts <croberts@redhat.com> - 0.1.4916-1
- Update to revision 4916
- Sources drawn from branch 'clarity'
- BZ728960, additional fix for cumin-data


* Tue Aug 9 2011 Chad Roberts <croberts@redhat.com> - 0.1.4913-1
- Update to revision 4913
- Sources drawn from branch 'clarity'
- BZ728960

* Wed Jul 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4893-1
- Update to revision 4893
- Sources drawn from branch 'clarity'
- BZ699273

* Fri Jul 22 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4887-1
- Update to revision 4887
- Sources drawn from branch 'clarity'
- BZ724946
- BZ709477

* Wed Jul 20 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4878-1
- Update to revision 4878
- Sources drawn from branch 'clarity'
- Back out automatic quoting functionality for BZ703196
- BZ723613

* Tue Jul 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4865-1
- Update to revision 4865
- Sources drawn from branch 'clarity'
- Back out changes for BZ699890 (deferred)

* Tue Jul 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4863-1
- Update to revision 4863
- Sources drawn from branch 'clarity'
- BZ703621
- BZ715956
- BZ715973
- BZ703630
- BZ699732
- BZ707576
- BZ717953

* Fri Jun 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4840-1
- Update to revision 4840
- Sources drawn from branch 'clarity'
- BZ699265 
- BZ697093
- BZ698106
- BZ694827
- BZ697016
- BZ703196
- BZ674598 
- BZ699409
- BZ703630
- BZ703285
- BZ696697
- BZ697075
- BZ673273
- BZ692238
- BZ699732
- BZ700540
- BZ703279
- BZ703860
- BZ659247
- BZ704653
- BZ682447
- BZ703283
- BZ709477
- BZ697016
- BZ707584
- BZ710283
- BZ637963
- BZ699413
- BZ702440
- BZ712968
- BZ712974
- BZ699890

* Tue May 31 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4794-1
- Update to revision 4794
- Sources drawn from branch 'stability'
- BZ708495, new cumin.conf file to distribute grid classes correctly

* Wed May 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4767-1
- Update to revision 4767
- Sources drawn from branch 'stability'
- BZ705289

* Mon May 16 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4765-1
- Update to revision 4765
- Sources drawn from branch 'stability'
- BZ704253
- BZ704246

* Wed Apr 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4746-1
- Update to revision 4746
- BZ696789
- BZ699481
- BZ699473
- BZ699819
- BZ699782
- BZ699818 

* Mon Apr 25 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4734-1
- Update to revision 4734
- Sources drawn from trunk
- BZ696635 mods
- BZ695820
- BZ698712

* Tue Apr 19 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4725-1
- Update to revision 4725
- Sources drawn from trunk
- BZ696619
- BZ696693
- BZ695800
- BZ696635

* Thu Apr 14 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4712-2
- Change conditional requirements, preface os version with 0

* Wed Apr 13 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4712-1
- Update to revision 4712
- Sources drawn from trunk
- BZ695722
- BZ694883 modification
- BZ679688

* Mon Apr 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4702-1
- Update to revision 4702
- Sources drawn from trunk
- BZ677398
- BZ694883

* Thu Apr 7 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4695-1
- Update to revision 4695
- Add conditional dependencies on el5 and el6 for
-   python-psycopg2
-   dejavu-lgc font packages
- Sources drawn from trunk
- BZ692169 modification
- Various cosmetic changes based on group UI review

* Mon Mar 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4683-1
- Update to revision 4683
- Sources drawn from trunk
- BZ692653

* Wed Mar 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4675-1
- Update to revision 4675
- Sources drawn from trunk
- BZ692169

* Tue Mar 29 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4672-1
- Update to revision 4672
- Sources drawn from trunk
- BZ681124
- BZ641406

* Sun Mar 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4669-1
- Update to revision 4669
- Sources drawn from trunk
- BZ690283
- BZ690740
- BZ681124
- Various cosmetic changes based on group UI review

* Mon Mar 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4654-1
- Update to revision 4654
- Sources drawn from trunk
- BZ635197
- BZ679672
- BZ678029
- Various cosmetic changes based on group UI review
- (many changes to the dashboard components)

* Mon Mar 14 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4610-1
- Update to revision 4610
- Sources drawn from trunk
- BZ647500
- Various cosmetic changes based on group UI review
- (check svn logs 4601-4610 for detail)

* Thu Mar 10 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4600-1
- Update to revision 4600
- Sources drawn from trunk
- Incremental development changes, no BZs

* Tue Mar 8 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4589-1
- Update to revision 4589
- Sources drawn from trunk
- BZ680890
- BZ673189 (modifications)
- BZ673194

* Thu Mar 3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4573-1
- Update to revision 4573
- Sources drawn from trunk
- BZ680265 (modifications)
- BZ672583 (modifications)

* Sun Feb 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4560-1
- Update to revision 4560
- Sources drawn from trunk
- BZ680260

* Thu Feb 24 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4558-1
- Update to revision 4558
- Sources drawn from trunk
- BZ680265

* Wed Feb 23 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4554-1
- Update to revision 4554
- Sources drawn from trunk
- Replace emulation of defaultdict() for Python 2.4
- BZ634975

* Tue Feb 22 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4552-1
- Update to revision 4552
- BZ678621
- Changes to code for BZ677398 
-   Get rid of exception on RHEL 5 in 0.1.4546-1
-   Include comments with defaults for rollover params in cumin.conf
- Tweak to BZ672583 
-   Do not redirect stderr from init.d during --init-only checks on start

* Mon Feb 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4546-1
- Update to revision 4546
- Sources drawn from trunk
- BZ677398 BZ647500 BZ673189
- Additional changes for BZ672583

* Fri Feb 18 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4539-1
- Update to revision 4539
- Sources drawn from trunk
- BZ672583

* Tue Feb 15 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4532-1
- Update to revision 4532
- Sources drawn from trunk
- Adjustment to make install for version file creation from rpm
- BZ630544

* Tue Feb 15 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4531-1
- Update to revision 4531
- Sources drawn from trunk
- Change to spec file to create cumin version on make install
- BZ630544, BZ672484, BZ673178, BZ673180

* Fri Feb 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4519-2
- Include new files in /bin (cumin-command-test, cumin-data-test, cumin-web-test)
- Change to spec file.
- These files were added in revision 4460.

* Fri Feb 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4519-1
- Update to revision 4519.
- Sources drawn from cumin/trunk
- Changes for 2.0
- BZ644302, BZ676902, BZ642405, BZ673183, BZ673187

* Thu Jan 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4494-1
- Update to revision 4494.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ673165

* Thu Jan 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4492-1
- Update to revision 4492.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ673141

* Wed Jan 26 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4490-1
- Update to revision 4490.
- Sources drawn from cumin/branches/1.3.2
- After test, second round of changes for BZ672604

* Wed Jan 26 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4488-1
- Update to revision 4488.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ672604

* Fri Jan 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4478-1
- Update to revision 4478.
- Sources drawn from cumin/branches/1.3.2

* Tue Jan 18 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4475-1
- Update to revision 4475.  Cumin configuration changes.
- Sources drawn from cumin/branches/1.3.2

* Mon Jan 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4473-1
- Update to revision 4473
- Sources drawn from cumin/branches/1.3.2

* Thu Jan 13 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4465-1
- Update to revision 4465
- Sources drawn from cumin/branches/1.3.2

* Wed Jan 12 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4462-1
- Update to revision 4462
- Sources drawn from cumin/branches/1.3.2

* Thu Jan  6 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4451-1
- Update to revision 4451

* Tue Jan  4 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4448-1
- Update to revision 4448

* Tue Jan  4 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4447-1
- Update to revision 4447

* Mon Jan  3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4446-1
- Intermediate version on the way to 1.3.2 packages, test bug fixes

* Thu Nov  4 2010 Justin Ross <jross@redhat.com> - 0.1.4410-2
- Update to revision 4110
- Tighten permissions on config files

* Fri Oct  1 2010 Justin Ross <jross@redhat.com> - 0.1.4369-1
- Update to revision 4369
- Require python-psycopg2 >= 2.0.14
- Upgrade the config file if necessary
- Add symlink to system log location
- Add chkconfig and service handling
- Get precise about the python-qmf dependency version
- Fix symlink error in post scriptlet

* Mon Jul 19 2010 Justin Ross <jross@redhat.com> - 0.1.4127-1
- Update to revision 4127
- Tighten qmf dependency

* Thu Jul  8 2010 Justin Ross <jross@redhat.com> - 0.1.4094-1
- Update to revision 4094

* Wed Jun  3 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3413-1
- Update to revision 3413

* Tue Mar 17 2009 Justin Ross <jross@redhat.com> - 0.1.3160-1
- Mark config files noreplace
- Update to revision 3160

* Tue Feb 24 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3137-1
- Update to revision 3137; include vacuumdb cronjob

* Fri Feb 20 2009 Justin Ross <jross@redhat.com> - 0.1.3120-2
- Mark config files as such

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3120-1
- Update to revision 3120

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3113-1
- Update to revision 3113

* Thu Feb  5 2009 Justin Ross <jross@redhat.com> - 0.1.3109-1
- Update to revision 3109

* Tue Jan 27 2009 Justin Ross <jross@redhat.com> - 0.1.3073-1
- Update to revision 3073

* Fri Jan 21 2009 Justin Ross <jross@redhat.com> - 0.1.3037-2
- Add patch for broken job navigation

* Fri Jan  9 2009 Justin Ross <jross@redhat.com> - 0.1.3037-1
- Update to revision 3037

* Sun Dec 21 2008 Justin Ross <jross@redhat.com> - 0.1.3030-1
- Update to revision 3030

* Wed Dec 17 2008 Justin Ross <jross@redhat.com> - 0.1.3021-1
- In the post script, chown cumin log files so upgrades don't break
- Update to revision 3021

* Mon Dec 15 2008 Justin Ross <jross@redhat.com> - 0.1.3002-1
- Update to revision 3002

* Fri Dec 12 2008 Justin Ross <jross@redhat.com> - 0.1.2997-1
- Update to revision 2997

* Thu Dec 11 2008 Justin Ross <jross@redhat.com> - 0.1.2986-1
- Add missing dependency on pycairo
- Update to revision 2986

* Wed Dec 10 2008 Justin Ross <jross@redhat.com> - 0.1.2968-1
- Update to revision 2968
- Alter the user and group add logic to be compatible with scriptlets
  run under bash -e

* Wed Dec  9 2008 Justin Ross <jross@redhat.com> - 0.1.2952-1
- Update to revision 2952
- Add wooly to the set of installed projects

* Wed Nov  5 2008 Justin Ross <jross@redhat.com> - 0.1.2751-1
- Fix the usermod for older installs, and update to revision 2751

* Fri Oct 24 2008 Justin Ross <jross@redhat.com> - 0.1.2690-1
- Add a dep for dejavu-lgc-fonts, required for the charts

* Mon Jul 14 2008 Justin Ross <jross@redhat.com> - 0.1.2181-2
- Modify an existing cumin user's shell to /sbin/nologin

* Mon Jul  8 2008 Justin Ross <jross@redhat.com> - 0.1.2181-1
- Update to revision 2181
- Use /sbin/nologin for the cumin user's shell

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0.1.2155-1
- Update to revision 2155

* Fri Jun 10 2008 Justin Ross <jross@redhat.com> - 0.1.2149-1
- Update to revision 2149

* Fri Jun  9 2008 Justin Ross <jross@redhat.com> - 0.1.2144-1
- Update to revision 2144

* Fri Jun  6 2008 Justin Ross <jross@redhat.com> - 0.1.2141-1
- Update to revision 2141 for rc1
- Fix the license in the spec header

* Fri May 16 2008 Justin Ross <jross@redhat.com> - 0.1.2061-1
- Update to revision 2061 for beta 4

* Fri May 15 2008 Justin Ross <jross@redhat.com> - 0.1.2046-1
- Update to revision 2046 for beta 4

* Fri May 06 2008 Justin Ross <jross@redhat.com> - 0.1.2001-1
- Make cumin user owner of all binaries except sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-2
- Properly set permissions and ownership of the sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-1
- Use new make targets
- Change the version number to include the upstream svn revision
- Use system instance setup tools

* Mon Mar 31 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Create cumin user/group

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Fix for multiple broker registrations

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.1-4
- Bumped for Beta 3 update

* Fri Jan 25 2008 Nuno Santos <nsantos@redhat.com> - 0.1-3
- Workaround to fix charts issue

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-2
- Fix data url in /etc/cumin.conf; work around query divide-by-zero issues
- Add dependency on postgresql-server

* Fri Jan 18 2008 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build.
